Class | Tk::Iwidgets::Spindate
In: | tk/lib/tkextlib/iwidgets/spindate.rb
Parent: | Tk::Itk::Widget

### Methods

get get_clicks get_string show show_now

### Constants

TkCommandNames | = | ['::iwidgets::spindate'.freeze].freeze
WidgetClassName | = | 'Spindate'.freeze

### Public Instance methods

get()

Alias for get_string

get_clicks()

[Source]

    # File tk/lib/tkextlib/iwidgets/spindate.rb, line 36
      def get_clicks
        number(tk_call(@path, 'get', '-clicks'))
      end

get_string()

[Source]

    # File tk/lib/tkextlib/iwidgets/spindate.rb, line 31
      def get_string
        tk_call(@path, 'get', '-string')
      end

show(date=None)

[Source]

    # File tk/lib/tkextlib/iwidgets/spindate.rb, line 40
      def show(date=None)
        tk_call(@path, 'show', date)
        self
      end

show_now()

[Source]

    # File tk/lib/tkextlib/iwidgets/spindate.rb, line 44
      def show_now
        tk_call(@path, 'show', 'now')
        self
      end

[Validate]